Create session
This endpoint allows you to create an account verification session.
Request
- Name
auth- Type
- Autenticación
- is Required
- REQUIRED
- Description
Structure that contains the site authentication information generated according to the WSSE UsernameToken Profile 1.1
- Name
user- Type
- object
- is Required
- REQUIRED
- Description
User who owns the account to be validated
- Name
returnUrl- Type
- string
- is Required
- REQUIRED
- Description
Return URL once the account validation process is completed
Example:https://www.placetopay.com/returnMax length:255
- Name
locale- Type
- string
- is Required
- REQUIRED
- Description
Determines the response language
Example:es_COMax length:5
- Name
isAuthenticated- Type
- boolean
- is optional
- Description
Indicates if an external authentication process has already been performed. The intention is not to validate the user's email twice. Default is false, meaning an OTP will be sent to validate the user if they have already validated accounts with micro-deposits in the system.
Example:true
- Name
site- Type
- string
- is optional
- Description
If use api credentials, this field is required to identificate the site
Example:aabbccdd1234567890aabbccdd123456
Request
curl -X "POST" https://account-validator.placetopay.com/api/verification/session \
-H "Content-Type: application/json" \
-d '{
"auth": {
"login": "aabbccdd1234567890aabbccdd123456",
"tranKey": "ABC123example456trankey+789abc012def3456ABC=",
"nonce": "NG5vejc2b41xdm8=",
"seed": "2024-04-19T12:06:56-05:00"
},
"user": {
"name": "John",
"surname": "Doe",
"email": "[email protected]"
},
"returnUrl": "https://www.placetopay.com",
"locale": "es_PR"
}'
Response
Session created successfully
- Name
data- Type
- object
- is optional
- Description
Structure containing the response to the request if the status is successful
- Name
status- Type
- Status
- is optional
- Description
Structure that contains information about a request or payment, informing its current status.
Response
{
"status": {
"status": "OK",
"reason": "00",
"message": "The request has been successfully approved",
"date": "2021-09-21T09:34:48-05:00"
},
"data": {
"requestId": "9bd89c8d-6097-4d69-8ce9-d9b5ec35d8ea",
"redirectUrl": "https://account-validator.placetopay.com/verification/redirect/9bd89c8d-6097-4d69-8ce9-d9b5ec35d8ea",
"expiresAt": "2024-04-19 17:36:57"
}
}
Check session status
This endpoint allows you to check the status of a created session.
Account information will only be displayed for the first 10 minutes, and only if the account verification was successful.
Possible statuses
Status reasons
Request
- Name
auth- Type
- Autenticación
- is Required
- REQUIRED
- Description
Structure that contains the site authentication information generated according to the WSSE UsernameToken Profile 1.1
- Name
requestId- Type
- string
- is Required
- REQUIRED
- Description
Unique identifier of the session to be queried.
Example:1f630ff7-9c02-4da4-82d4-d676709acb21Max length:36
- Name
site- Type
- string
- is optional
- Description
If use api credentials, this field is required to identificate the site
Example:aabbccdd1234567890aabbccdd123456
Request
curl -X "POST" https://account-validator.placetopay.com/api/verification/query \
-H "Content-Type: application/json" \
-d '{
"auth": {
"login": "aabbccdd1234567890aabbccdd123456",
"tranKey": "ABC123example456trankey+789abc012def3456ABC=",
"nonce": "NG5vejc2b41xdm8=",
"seed": "2024-04-19T12:06:56-05:00"
},
"requestId": "1f630ff7-9c02-4da4-82d4-d676709acb21"
}'
Response
Successful query
- Name
status- Type
- Status
- is optional
- Description
Structure that contains information about a request or payment, informing its current status.
- Name
data- Type
- object
- is optional
- Description
Structure containing the response to the request if the status is successful
Response
{
"status": {
"status": "APPROVED",
"reason": "00",
"message": "The verification was successful",
"date": "2022-08-30T18:33:25+00:00"
},
"data": {
"requestId": "1f630ff7-9c02-4da4-82d4-d676709acb21",
"account": {
"bankCode": "011401533",
"bankName": "BANCO POPULAR DE PUERTO RICO (BPPR)",
"accountType": "DDA",
"accountNumber": "4111111111111111",
"franchise": "_011401533_",
"verificationCode": "eyJhbGciOiJSUzI1NiJ9.eyJhY2NvdW50SGFzaCI6ImZlMzRkNWFiODBkMjUyMzkwNzdhY2RmYTIwYWRjMjYyMWIzY2FlZjhhZGUzYzMyYzQ2NWQ5OGQ0NjdjOWViNjE3OWNmYTMwZWI1ZDdlY2E2MWVjZTY4NDIyNTY5MDUyYjJiMzdlYzMxY2Y3NjEyNzkxMWIxYzIwM2EyODRjMmFiIiwib25UZXN0IjpmYWxzZSwic2VydmljZSI6InBsYWlkIn0.UlZT9LawlL1epzYWv5V_WMMQ5NoYjORMzCND14h4z10pZtwjO80JEYccnTRViEKQXQDsCAXZyOCkCrGyCtliWaZOq8w-NVP37mu1dprAw_eRgClSD7MjOfBRl5LMYnSb3af3kHLd_3lDSMvi7AYY1JP9rGGnUTnXCd-tNdPNUYHUSJjQWQigUizOcrQKaYeKxgiEvIwuf-I4uG9WCPxN4bH-RNa2fggybiRXLJYGroRXCsURG_4EA3HqHszIUEKSj6BYnHOZX9J4KohAEwTQUy93COCXKimmQTlvBmEnQe2llYanpNvyDm35cmzzP3hr0J1IKx14N4DvagRfyCfjIQ"
},
"expiresAt": "2024-04-19 21:12:00"
}
}